# Uses of Enum Class
org.opensaml.saml.common.binding.MessageType

Packages that use MessageType
Package
Description
org.opensaml.saml.common.binding
Classes related to SAML binding operations.
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.

## Uses of MessageType in org.opensaml.saml.common.binding

Methods in org.opensaml.saml.common.binding that return MessageType
Modifier and Type
Method
Description
`static MessageType`
MessageType.`fromParameterName(String paramName)`
Return the enum value whose parameter name matches the specified name.
`static MessageType`
SAMLBindingSupport.`getMessageType(HttpServletRequest httpRequest)`
Get the type of message being processed.
`static MessageType`
MessageType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MessageType[]`
MessageType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.saml.common.binding with parameters of type MessageType
Modifier and Type
Method
Description
`static void`
SAMLBindingSupport.`validateMessageTypeValues(HttpServletRequest httpRequest, MessageType messageType)`
Validate that an HTTP request has a valid number of values for the specified message type.

## Uses of MessageType in org.opensaml.saml.common.binding.impl

Fields in org.opensaml.saml.common.binding.impl declared as MessageType
Modifier and Type
Field
Description
`private MessageType`
BaseSAMLHttpServletRequestDecoder.`messageType`
Cached message type.
Methods in org.opensaml.saml.common.binding.impl that return MessageType
Modifier and Type
Method
Description
`protected MessageType`
BaseSAMLHttpServletRequestDecoder.`getMessageType()`
Get the type of message being processed by the decoder.